Transações consolidadas da plataforma

gethttps://sandbox-api.rebornpay.io/v1/companies/dashboard/transactionsAuth obrigatória

Headers

X-Api-Keystringrequired

API Key do seller (header)

Query Parameters

childSellerIdstringoptional
periodstringoptional
statusstringoptional
pageintegeroptional
limitintegeroptional

Responses

200OK
itemsarrayrequired
idstring · uuidrequired
sellerIdstring · uuidrequired
sellerNamestringoptional
transactionCodestringrequired
createdAtstring · date-timerequired
paidAtstring · date-timeoptional
customerNamestringoptional
customerDocumentstringoptional
paymentMethodstringrequired
cardBrandstringoptional
cardLast4stringoptional
installmentsinteger · int32required
amountnumberrequired
feeAmountnumberoptional
netAmountnumberoptional
companyFeeAmountnumberoptional
parentNetAmountnumberoptional
rebornFeeAmountnumberoptional
rebornSellerFeeAmountnumberoptional
statusstringrequired
acquirerstringrequired
gatewayProviderstringoptional
gatewaySubAccountIdstring · uuidoptional
gatewayExternalIdstringoptional
currencystringrequired
pageinteger · int32required
sizeinteger · int32required
totalItemsinteger · int64required
totalPagesinteger · int64required
hasNextbooleanrequired
hasPreviousbooleanrequired
isFirstbooleanrequired
isLastbooleanrequired
curl -X GET 'https://sandbox-api.rebornpay.io/v1/companies/dashboard/transactions' \  -H 'X-Api-Key: $API_KEY'
200Response example
{
  "items": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "sellerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "sellerName": "string",
      "transactionCode": "string",
      "createdAt": "2025-01-15T10:30:00Z",
      "paidAt": "2025-01-15T10:30:00Z",
      "customerName": "string",
      "customerDocument": "string",
      "paymentMethod": "string",
      "cardBrand": "string",
      "cardLast4": "string",
      "installments": 1,
      "amount": 1,
      "feeAmount": 1,
      "netAmount": 1,
      "companyFeeAmount": 1,
      "parentNetAmount": 1,
      "rebornFeeAmount": 1,
      "rebornSellerFeeAmount": 1,
      "status": "string",
      "acquirer": "string",
      "gatewayProvider": "string",
      "gatewaySubAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "gatewayExternalId": "string",
      "currency": "string"
    }
  ],
  "page": 1,
  "size": 1,
  "totalItems": 1,
  "totalPages": 1,
  "hasNext": false,
  "hasPrevious": false,
  "isFirst": false,
  "isLast": false
}